Subject: Re: [PATCH 01/13] refs: introduce wrapper struct for `each_ref_fn`

From: Taylor Blau <[email-masked]>
Date: Tue, 7 Oct 2025 17:56:04 -0400

On Tue, Oct 07, 2025 at 12:58:38PM +0200, Patrick Steinhardt wrote:
> [1]: <ZmarVcF5JjsZx0dl@tanuki>

I agree with Junio's follow-up[2] there that the benefit of dropping
peel_iterated_oid() is worth the one-time blast radius of this change.

I reviewed it as closely as I could, and everything here looks good to
me. I'm excited about the direction that this patch is taking us in :-).

Thanks,
Taylor

[2]: https://lore.kernel.org/git/[email-masked]/